Page MenuHomePhabricator

Snapshot: usage of common editing features
Closed, ResolvedPublic

Description

See parent task T202132: EPIC: Generate one-off metric snapshots for mobile editing documentation for more information on background and acceptance criteria.

What proportion of edits using the visual editor involve using common editing features, broken down by desktop and mobile?

  • add or modify image
  • add or modify citation
  • add or modify links
  • add or remove text formatting, for example bold and italics

Expected snapshot output:

MetricDesktop percentageMobile percentage
only change text%%
use above features%%

(sum of each item in the columns should add up to 100%)

MetricDesktop percentageMobile percentage
add or modify image%%
add or modify citation%%
add or modify links%%
add or remove text formatting%%

(the sum of each item in the columns shouldn't add up to 100% since an editor may use more than one feature in an edit)

I suspect that almost all of this data won't exist in event logging, and that we'll need to instrument these metrics first.

Event Timeline

Deskana created this task.Aug 17 2018, 12:34 PM
Deskana changed the task status from Open to Stalled.Aug 17 2018, 4:20 PM

This data is not being recorded, so this is stalled on T202148.

Deskana moved this task from To Triage to Up next on the VisualEditor board.Aug 29 2018, 1:23 PM

We're now collecting the necessary data, so we just have to wait for a reasonable amount to accumulate before actually calculating these metrics.

Two weeks should be enough, so that means we will be able to do this starting 10 November 2018.

Esanders added a subscriber: Esanders.EditedFeb 6 2019, 11:33 PM

Can we also get the data for the long tail of smaller features?

Neil_P._Quinn_WMF added a subscriber: DLynch.EditedFeb 12 2019, 6:54 PM

Thanks to @DLynch's bugfixes, we are now properly collecting mobile feature use data (P8074). We will have 2 weeks of data after 22 February, so at that point I will be able to calculate the corresponding numbers for the mobile editor.

Can we also get the data for the long tail of smaller features?

Sure! Check out this spreadsheet for the full set of logged features.

@DannyH re: adding mobile feature use data to https://www.mediawiki.org/wiki/VisualEditor_on_mobile_report#Usage_of_common_editing_features: This had been blocked until last Friday (see Neil's comment above). Neil is currently working on pulling the data needed. (cc @ppelberg )

Also, I wanted to give a heads up on other work that has impacted timelines: Neil & others on Product Analytics have been working with Analytics Engineering to ensure we have more consistent access to data (see, for example, T212172). This work has taken on a particular urgency in the past couple of months because our core analytics-store database (which hosts MediaWiki replicas for all wikis) needs to be replaced (see T172410) and we're facing a hard deadline. So, while this work has slowed us down in the near term, we should be able to build upon it for moving forward with self-serve options in the future, such as providing some core editing data for exploration in Superset (T211173, which Megan is collaborating with Analytics Engineering on - also with support from Neil).

@kzimmerman Thanks for the heads up. I'm glad Neil's getting this task done, and that you all are working on making things better for the future. :)

Neil_P._Quinn_WMF closed this task as Resolved.Mar 4 2019, 8:03 PM

This is now done! Mobile numbers are added at in the on-wiki report. The underlying code (which I took the opportunity to clean up a lot this weekend) is on Github.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 4 2019, 8:03 PM

Shouts to you for getting this across the finish line, @Neil_P._Quinn_WMF.